ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions
angle.h File Reference

Angle units of measurement. More...

`#include <ome/common/config.h>`
`#include <ome/common/units/types.h>`
`#include <boost/units/base_units/angle/degree.hpp>`
`#include <boost/units/base_units/angle/gradian.hpp>`
`#include <boost/units/base_units/angle/radian.hpp>`
`#include <boost/units/unit.hpp>`
`#include <boost/units/quantity.hpp>`
`#include <boost/units/systems/si.hpp>`
Include dependency graph for angle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Typedefs
typedef boost::units::angle::radian_base_unit::unit_type | ome::common::units::angle_unit
| Unit definition for angle.
typedef quantity< boost::units::angle::radian_base_unit::unit_type > | ome::common::units::angle_quantity
| Measured quantity in angle.
typedef boost::units::angle::radian_base_unit::unit_type | ome::common::units::radian_unit
| Unit definition for radian.
typedef quantity< radian_unit > | ome::common::units::radian_quantity
| Measured quantity in radians.
typedef boost::units::angle::degree_base_unit::unit_type | ome::common::units::degree_unit
| Unit definition for degree.
typedef quantity< degree_unit > | ome::common::units::degree_quantity
| Measured quantity in degrees.
typedef boost::units::angle::gradian_base_unit::unit_type | ome::common::units::gradian_unit
| Unit definition for gradian.
typedef quantity< gradian_unit > | ome::common::units::gradian_quantity
| Measured quantity in gradians.
typedef quantity< gradian_unit > | ome::common::units::gon_quantity
| Measured quantity in gons.

## Functions
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (radian, radian_unit)
| Numeric constant for radian.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (radians, radian_unit)
| Numeric constant for radian.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (degree, degree_unit)
| Numeric constant for degree.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (degrees, degree_unit)
| Numeric constant for degree.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (gradian, gradian_unit)
| Numeric constant for gradian.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (gradians, gradian_unit)
| Numeric constant for gradian.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (gon, gradian_unit)
| Numeric constant for gradian.
| ome::common::units::BOOST_UNITS_STATIC_CONSTANT (gons, gradian_unit)
| Numeric constant for gradian.

## Detailed Description

Angle units of measurement.

Common units of measurement types.

This header contains unit definition types, unit constants and measured quantity types for SI and other standard angle units of measurement.

This header contains types used by all units of measurement.